Bug 123653 - Media objects do not trigger effects.
Summary: Media objects do not trigger effects.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: 34940
  Show dependency treegraph
 
Reported: 2019-02-22 15:35 UTC by Mark Hung
Modified: 2019-04-15 15:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample odp file. (480.04 KB, application/vnd.oasis.opendocument.presentation)
2019-02-22 15:38 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2019-02-22 15:35:26 UTC
Description:

Interactive sequence started by media objects do not work.
It works with gstreamer gtksink on Linux, but not on Windows or Linux without gstreamer gtksink.

Steps to Reproduce:
1. Open the attached file.
2. Start the slideshow.
3. Click the video to trigger the animation on smiley.

Actual Results:
Nothing happened.

Expected Results:
The smiley should fly out.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Mark Hung 2019-02-22 15:38:20 UTC
Created attachment 149533 [details]
Sample odp file.
Comment 2 Durgapriyanka 2019-02-22 19:26:58 UTC
Thank you for reporting the bug. I can confirm the bug present in

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2019-02-23 23:53:03 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ecdcc847cd5d9b1370801d42b740bd616c475477%5E%21

tdf#123653 let gstreamer gst video overlay bypass events.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-02-23 23:53:10 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a798926550ab3ea8613f28a7be2672ebe9e7dfbe%5E%21

tdf#123653 pass WM messages to the parent window.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Mark Hung 2019-04-06 11:07:27 UTC
Seems broken now in master branch ( not test Linux yet. ) 

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 3e0092031b73bad107e3122d5d4be2f5bd487744
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded
Comment 6 Mark Hung 2019-04-08 03:41:15 UTC
Also on Linux.
Comment 7 Mark Hung 2019-04-13 09:18:29 UTC
Hi Miklos,

Bisecting the bug lead me to: 3e0092031b73bad107e3122d5d4be2f5bd487744
I wonder if you know how media object triggering is related to that commit?
Comment 8 Miklos Vajna 2019-04-15 08:29:02 UTC
I'll take a look. Though perhaps let's deal with this in a new bug? This bug has a fix already, you fixed it, you deserve the credit for it. And the new bug is a regression.
Comment 9 Mark Hung 2019-04-15 14:47:51 UTC
(In reply to Miklos Vajna from comment #8)
> I'll take a look. Though perhaps let's deal with this in a new bug? This bug
> has a fix already, you fixed it, you deserve the credit for it. And the new
> bug is a regression.

Hi Miklos,

I've created tdf#124756 for this.
Comment 10 Miklos Vajna 2019-04-15 15:16:02 UTC
Thanks!